# Method: projects.locations.instances.rescheduleMaintenance

- [HTTP request](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.aspect_1)
- [Reschedule](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#Reschedule)
  - [JSON representation](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#Reschedule.SCHEMA_REPRESENTATION)
- [RescheduleType](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#RescheduleType)
- [Try it!](https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#try-it)

Reschedules a planned maintenance event for a specific instance.

### HTTP request

`POST https://lustre.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:rescheduleMaintenance`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reschedule": { object (`https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#Reschedule`) }, "requestId": string } ``` |

| Fields ||
|---|---|
| `reschedule` | ``object (`https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#Reschedule`)`` Required. The desired reschedule settings. |
| `requestId` | `string` Optional. A unique identifier for this request. A random UUID is recommended. This request is only idempotent if a `requestId` is provided. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `lustre.instances.rescheduleMaintenance`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## Reschedule

The desired reschedule settings.

| JSON representation |
|---|
| ``` { "rescheduleType": enum (`https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#RescheduleType`), "scheduleTime": string } ``` |

| Fields ||
|---|---|
| `rescheduleType` | ``enum (`https://docs.cloud.google.com/managed-lustre/docs/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#RescheduleType`)`` Required. The type of rescheduling. |
| `scheduleTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. Required if rescheduleType is BY_TIME. Timestamp when the maintenance shall be rescheduled to. This time must be within 28 days of the original scheduled maintenance start time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

## RescheduleType

The type of rescheduling event. More reschedule types may be added in the future.

| Enums ||
|---|---|
| `RESCHEDULE_TYPE_UNSPECIFIED` | Unspecified schedule type. |
| `IMMEDIATE` | Apply update immediately |
| `NEXT_AVAILABLE_WINDOW` | Reschedule to the next available window. |
| `BY_TIME` | Reschedule to a specific time. |